Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 818297 - Review Request: fedmsg - Tools for Fedora Infrastructure real-time messaging
Summary: Review Request: fedmsg - Tools for Fedora Infrastructure real-time messaging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 810335 818293
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-02 16:42 UTC by Ralph Bean
Modified: 2016-09-20 02:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-28 03:24:27 UTC
Type: ---
lmacken: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-05-02 16:42:05 UTC
Spec URL: http://threebean.org/rpm/python-fedmsg.spec
SRPM URL: http://threebean.org/rpm/python-fedmsg-0.1.1-2.fc17.src.rpm
Description:
Utilities used around Fedora Infrastructure to send and receive messages with
zeromq.  Includes:

 - A python API
 - A suite of CLI tools


No rpmlint output or koji scratch builds yet since there are a number of other bug tickets that this review depends on before it can build correctly.

Comment 1 Ralph Bean 2012-05-25 17:12:19 UTC
New version has all the dependency kinks worked out (hopefully).

Spec URL: http://threebean.org/rpm/python-fedmsg.spec
SRPM URL: http://threebean.org/rpm/python-fedmsg-0.1.3-1.fc17.src.rpm



--- ~/rpmbuild ยป rpmlint {SPECS,SRPMS}/python-fedmsg*       
python-fedmsg.src: W: spelling-error %description -l en_US zeromq -> zero
1 packages and 1 specfiles checked; 0 errors, 1 warnings.



koji f17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4101029
koji el6: http://koji.fedoraproject.org/koji/taskinfo?taskID=4100980

Comment 2 Luke Macken 2012-05-25 17:57:01 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST No %config files under /usr.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/lmacken/818297/fedmsg-0.1.3.tar.gz :
  MD5SUM this package     : None
  MD5SUM upstream package : 5ebc8c54c72285fbf0d1ac8fd0df5549

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[!]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define python_sitelib %(%{__python} -c "from distutils.sysconfig
     import get_python_lib; print get_python_lib()")} %define pyver
     %(%{__python} -c "import sys ; print sys.version[:3]")}

Issues:
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/lmacken/818297/fedmsg-0.1.3.tar.gz :
  MD5SUM this package     : None
  MD5SUM upstream package : 5ebc8c54c72285fbf0d1ac8fd0df5549

See: http://fedoraproject.org/wiki/Packaging/SourceURL


Generated by fedora-review 0.1.3

Comment 3 Luke Macken 2012-05-25 17:57:25 UTC
mockfail:

error: Installed (but unpackaged) file(s) found:
   /usr/bin/fedmsg-config

Comment 4 Luke Macken 2012-05-25 17:58:25 UTC
Oops, fedora-review didn't grab your latest revision...

Comment 5 Luke Macken 2012-05-25 18:12:08 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-fedmsg-0.1.3-1.fc18.noarch.rpm

python-fedmsg.noarch: W: spelling-error %description -l en_US zeromq -> zero
python-fedmsg.noarch: W: devel-file-in-non-devel-package /usr/bin/fedmsg-config
python-fedmsg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/fedmsg/commands/ircbot.py 0644L /usr/bin/env
python-fedmsg.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-fedmsg-0.1.3/doc/conf.py
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-tail
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-irc
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-relay
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-hub
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-config
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-status
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-logger
1 packages and 0 specfiles checked; 1 errors, 10 warnings.


rpmlint python-fedmsg-0.1.3-1.fc18.src.rpm

python-fedmsg.src: W: spelling-error %description -l en_US zeromq -> zero
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/lmacken/818297/fedmsg-0.1.3.tar.gz :
  MD5SUM this package     : 5ebc8c54c72285fbf0d1ac8fd0df5549
  MD5SUM upstream package : 5ebc8c54c72285fbf0d1ac8fd0df5549

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define python_sitelib %(%{__python} -c "from distutils.sysconfig
     import get_python_lib; print get_python_lib()")} %define pyver
     %(%{__python} -c "import sys ; print sys.version[:3]")}

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-fedmsg-0.1.3-1.fc18.noarch.rpm

python-fedmsg.noarch: W: spelling-error %description -l en_US zeromq -> zero
python-fedmsg.noarch: W: devel-file-in-non-devel-package /usr/bin/fedmsg-config
python-fedmsg.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/fedmsg/commands/ircbot.py 0644L /usr/bin/env
python-fedmsg.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-fedmsg-0.1.3/doc/conf.py
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-tail
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-irc
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-relay
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-hub
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-config
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-status
python-fedmsg.noarch: W: no-manual-page-for-binary fedmsg-logger
1 packages and 0 specfiles checked; 1 errors, 10 warnings.


rpmlint python-fedmsg-0.1.3-1.fc18.src.rpm

python-fedmsg.src: W: spelling-error %description -l en_US zeromq -> zero
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

Generated by fedora-review 0.1.3

-----------------------------------------------

Looks good, but I'd fix the 1 rpmlint error, and s/define/global/, and it
should be good to go. Also, I'm thinking this package should just be
called 'fedmsg', to be consistent with 'fedpkg', maybe?

Comment 6 Ralph Bean 2012-05-25 18:18:48 UTC
Renamed the package from python-fedmsg to just fedmsg.

Spec URL: http://threebean.org/rpm/fedmsg.spec
SRPM URL: http://threebean.org/rpm/fedmsg-0.1.3-2.fc17.src.rpm

Comment 7 Ralph Bean 2012-05-25 18:25:38 UTC
- Fresh version with removed shebang for packaging.
- %%define -> %%global
- Fixed end-of-line encodings in doc/conf.py

Spec URL: http://threebean.org/rpm/fedmsg.spec
SRPM URL: http://threebean.org/rpm/fedmsg-0.1.4-1.fc17.src.rpm

Comment 8 Luke Macken 2012-05-25 18:50:21 UTC
APPROVED

Comment 9 Ralph Bean 2012-05-25 18:53:14 UTC
New Package SCM Request
=======================
Package Name: fedmsg
Short Description: Tools for Fedora Infrastructure real-time messaging
Owners: ralph
Branches: f17 el6
InitialCC:

Comment 10 Kevin Fenzi 2012-05-27 01:48:42 UTC
Git done (by process-git-requests).

Please remember to assign the review to the reviewer. ;)

Comment 11 Ralph Bean 2012-05-27 14:18:44 UTC
Doh!  Thanks, Kevin.  :)

Comment 12 Fedora Update System 2012-05-27 15:33:11 UTC
fedmsg-0.1.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedmsg-0.1.4-1.fc17

Comment 13 Fedora Update System 2012-05-27 15:43:52 UTC
fedmsg-0.1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedmsg-0.1.4-1.el6

Comment 14 Fedora Update System 2012-05-27 19:43:42 UTC
fedmsg-0.1.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2012-05-29 19:40:30 UTC
fedmsg-0.1.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedmsg-0.1.5-1.fc17

Comment 16 Fedora Update System 2012-05-29 19:49:52 UTC
fedmsg-0.1.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedmsg-0.1.5-1.el6

Comment 17 Fedora Update System 2012-06-04 15:52:32 UTC
fedmsg-0.1.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedmsg-0.1.6-1.fc17

Comment 18 Fedora Update System 2012-06-04 18:20:03 UTC
fedmsg-0.1.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedmsg-0.1.6-1.el6

Comment 19 Fedora Update System 2012-06-07 20:20:54 UTC
fedmsg-0.1.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedmsg-0.1.8-1.fc17

Comment 20 Fedora Update System 2012-06-07 20:37:24 UTC
fedmsg-0.1.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedmsg-0.1.8-1.el6

Comment 21 Fedora Update System 2012-06-10 05:29:33 UTC
fedmsg-0.2.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedmsg-0.2.0-2.fc17

Comment 22 Fedora Update System 2012-06-10 05:35:23 UTC
fedmsg-0.2.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedmsg-0.2.0-2.el6

Comment 23 Fedora Update System 2012-06-11 16:28:39 UTC
fedmsg-0.2.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedmsg-0.2.0-3.fc17

Comment 24 Fedora Update System 2012-06-28 03:24:27 UTC
fedmsg-0.2.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2012-06-28 16:06:13 UTC
fedmsg-0.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.